#!/usr/bin/env python
# DT Home
#  Bin Command
#
# Douglas Thrift
#
# bincmd.py

import os.path
import subprocess
import sys

_bin = os.path.join(os.path.dirname(os.path.dirname(subprocess.check_output('where git'))), 'bin')

def cmd(command, args = None):
    if args is None:
        args = sys.argv[1:]

    exe = os.path.join(_bin, "%s.exe" % command)

    assert os.path.isfile(exe)

    sys.exit(subprocess.call([command] + args, executable = exe))
